(new)
;
;           version Stanesby origine 0
;       L=613mm=535mm+80mm 
;                Corps principal : 535mm d1=3 d2=20mm
;                Pavillon  : 80mm d1=20 d2=32mm
;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;                     TUBE PRINCIPAL  535mm
(defvar my-tube)
(setq my-tube
      (make-object 'closed-open-tube
                              (modes  200)
                              (radius0 0.003)
                              (radius1 0.020)
                              (freq-loss 1.5)
                              (length 0.533)))
;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;                       PAVILLON    RAJOUTE 65mm
;pavillon rajout
(defvar my-pavillon)
(setq my-pavillon
      (make-object 'closed-open-tube
                              (modes  200)
                              (radius0 0.020)
                              (radius1 0.032)
                              (freq-loss 1.5)
                              (length 0.080)))
;  access au bas du tube 
(defvar my-tube-bas)
(setq my-tube-bas (make-access my-tube (const 1) 'long))
;
;  acces au haut du pavillon
(defvar my-pavillon-haut)
(setq my-pavillon-haut (make-access my-pavillon (const 0) 'long))
;
; connection bas du tube avec haut du pavillon
(make-connection 'adhere my-tube-bas my-pavillon-haut 1)
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
 ;                  ANCHE DOUBLE
(defvar my-reed)
(setq my-reed (make-object 'bi-two-mass 
                           (small-mass   .000002)
                           (large-mass   .000002)
                           (stiffness0      200)
                           (stiffness1      200)
                           (const-loss0      60)
                           (const-loss1      60)
                           (freq-loss0       260)
                           (freq-loss1       260)))
;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;             CONTROLLE DU SOUFFLE
;
(defvar breath-env2)
(setq breath-env2 (make-controller 'envelope 1
                                   (list (list 0.00  40)
                                         (list 10.00  40))))
                                         
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;             CONNECTION DE L'ANCHE
;             acces haut du tube   
(defvar my-tube-top)
(setq my-tube-top (make-access my-tube (const 0) 'long))
;             acces bas de l'anche
(defvar my-reed-tip)
(setq my-reed-tip (make-access my-reed (const 1) 'trans0))
;             connection haut du tube avec bas de l'anche
(make-connection 'reed my-tube-top my-reed-tip 0.001
                 (make-controller 'arithmetic 1 '* (list (const 6) breath-env2))
                 (const 0.000276))
;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;                     ENCASTREMENT BASE DE l'ANCHE?
;;; make position interaction to hold base of reed in place
(defvar my-reed-bse)
(setq my-reed-bse (make-access my-reed (const 0) 'trans0))
(make-connection 'position my-reed-bse (const 0))
;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;                       TROUS   (enlevs pour simplifier)
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;                           NOTE JOUEE
(defvar my-tube-out) 
(setq my-tube-out (make-access my-tube (const 0.3) 'long))
(make-point-output my-tube-out)

;SI GRAVE = tous les trous sont ferms

(run 2.0)

(play)
